import React from 'react';
export interface SummaryGraphicProps {
    translation: {
        left: Array<number>;
        right: Array<number>;
        top: Array<number>;
        bottom: Array<number>;
    };
    orient: "left" | "right" | "top" | "bottom";
    decoratedSummaryType: {
        type: string;
    };
    summaryWidth: number;
    renderedSummary: any;
    points?: React.ReactNode;
}
export default function SummaryGraphic(props: SummaryGraphicProps): JSX.Element;
