import { SummaryLayoutType } from "../types/xyTypes";
import { ProjectedSummary } from "../types/generalTypes";
export declare function lineBounding({ summaryType, data, defined }: {
    summaryType: any;
    data: any;
    defined: any;
}): any[];
export declare function contouring({ summaryType, data, finalXExtent, finalYExtent }: {
    summaryType: any;
    data: any;
    finalXExtent: any;
    finalYExtent: any;
}): any[];
export declare function hexbinning({ preprocess, processedData, summaryType: baseSummaryType, data: baseData, finalXExtent: baseXExtent, finalYExtent: baseYExtent, size, xScaleType, yScaleType, margin, baseMarkProps, styleFn, classFn, renderFn, chartSize }: SummaryLayoutType): any[] | {
    type: string;
    processedData: boolean;
    coordinates: any[];
    binMax: any;
};
export declare function heatmapping({ preprocess, processedData, summaryType: baseSummaryType, data: baseData, finalXExtent, finalYExtent, size, xScaleType, yScaleType, margin, baseMarkProps, styleFn, classFn, renderFn, chartSize }: SummaryLayoutType): {
    x: number;
    y: number;
}[] | ProjectedSummary;
export declare function trendlining({ preprocess, summaryType: baseSummaryType, data: baseData, finalXExtent, xScaleType }: SummaryLayoutType): any;
export declare function shapeBounds(coordinates: any): {
    center: number[];
    top: number[];
    left: number[];
    right: number[];
    bottom: number[];
};
